/* Exemplet tar upp hur olika datatyper skrivs, samt
   speciella värden som undefined, null, NaN och infinity. */
// --------------------------------------------------
// Globala variabler
let msgElem;        // Elementet för meddelande
// --------------------------------------------------
// Funktion som körs då webbsidan laddats in
function init() {
    // Numeriska värden
    let aNumber = 123; // Number, numeriskt värde som i detta fall är ett heltal (integer)
    aNumber = -123;    // Number, ett negativt värde
    aNumber = 123.45;  // Number, numeriskt värde som i detta fall är ett flyttal (float)
    aNumber = 12e-3;   // Number som är talet 12 gånger 10 upphöjt till -3
    console.log(aNumber);

    // Text, kallas sträng, vilket är en sekvens av tecken
    let aString = "En textsträng med flera tecken";     // Strängar omges med citattecken
    aString = 'En annan text';                          // eller apostrofer
    aString = "123";                                    // Sträng med tecknen 1, 2 och 3
    aString = "En text med 'apostrofer' i strängen";
    aString = 'En text med "citattecken" i strängen';
    aString = "En text med \"citattecken\" i strängen"; // Med \" får man ett citattecken. Detta kallas escape character
    aString = "En text med \n en radbrytning";          // Radbrytning erhålls med \n
    console.log(aString);
    

    // HTML-element (HTML object)
    let resElem = document.querySelector("#result"); // Referens till element med id="result"
    let theBtn = document.querySelector("#theBtn");  // Referens till element med id="theBtn"
    console.log(theBtn);
    resElem.innerText = theBtn;
    msgElem = document.querySelector("#message");    // Referens till element med id="message"
    console.log(msgElem);
    resElem.innerText += " - " + msgElem;
    theBtn.addEventListener("click", showMessage);   // Koppla händelsehanterare till knappen

    // Boolska värden — ofta resultat vid test och jämförelser
    let aBoolean = true;  // Sant
    aBoolean = false;     // Falskt
    console.log(aBoolean);

    // Speciella värden
    let anything;           // En variabel utan värde (undefined)
    console.log(anything);
    let nothing = null;     // Värdet 0, fast brukar användas då datatypen ej är numerisk
    console.log(nothing);
    let somethingWrong = "text" * 123; // Aritmetisk operation som ej kan beräknas blir NaN, Not a Number
    console.log(somethingWrong);
    let somethingBig = 123 / 0;  // Resultatet blir oändligheten (infinity)
    console.log(somethingBig);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa meddelande då användaren klickar på knappen
function showMessage() {
    msgElem.innerText = "Aj, tryck inte så hårt";
} // Slut showMessage
// --------------------------------------------------
